/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/foundation/typeconv.hpp>

#include "scenestatic.hpp"

namespace nostalgia::scene {

class SceneDocToSceneStaticConverter: public foundation::Converter<SceneDoc, SceneStatic> {
	ox::Error convert(foundation::Context*, SceneDoc *src, SceneStatic *dst) const noexcept final;
};

}
